Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07867 Crash/Freeze Critical (emulation) Always Feb 4, 2021, 03:24 Feb 13, 2021, 19:13
Tester Tafoid View Status Public Platform MAME (Official Binary)
Assigned To Osso Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver c64.cpp
Version 0.228 Fixed in Version 0.229 Build
Fixed in Git Commit b8c3388 Github Pull Request #
Summary MESS-specific 07867: Most carts in c64_cart. xml: Carts are no longer loading correctly
Description When attempting to load a cart image from the softlist, they are not loaded correctly and, in most cases, you get a Commodore Basic screen, usually without text
Steps To Reproduce > mame c64 -cart mspacman

Snapshot of diff attached
Additional Information Malfunction strongly linked to this commit: https://github.com/mamedev/mame/commit/b8c338858a101d14308c64c87b0f714db4f05326

Here is a link to snapshots comparisons from before the recent memory changes and current 0.228. Well over 280 carts no longer load
https://mameload.mameworld.info/snapshots_c64_beforeaftermem.7z
Github Commit
Flags
Regression Version 0.227
Affected Sets / Systems Most carts in c64_cart.xml
Attached Files
png file icon -cart_mspacman-diff.png (8,447 bytes) Feb 4, 2021, 03:24 Uploaded by Tafoid
c64 Ms. Pac-Man snapshot diff
Tafoid
Relationships
There are no relationship linked to this issue.
Notes
2
User avatar
No.18434
Robbbert
Developer
Feb 4, 2021, 08:47
edited on: Feb 4, 2021, 08:50
I can't confirm mspacman in particular, as I don't have that cart. But testing with what I do have, plus a collection of random loose software revealed nothing that worked. So I'm confirming your report.

A cart from the vic10 swlist gave a black screen. Everything else simply booted up the inbuilt BASIC normally; the cart being ignored.
User avatar
No.18456
Osso
Developer
Feb 11, 2021, 16:03
edited on: Feb 11, 2021, 16:04
The problem appears to be here: https://git.redump.net/mame/diff/src/devices/bus/c64/std.cpp?id=b8c338858a101d14308c64c87b0f714db4f05326
If I put back masks of the correct size for the cart I want to load (in the case of mspacman all 0x1fff), then it works. So a way must be chosen to get the sizes of the unique_ptr to again mask things correctly.